# TdApi.InternalLinkTypeBotStartInGroup (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InternalLinkTypeBotStartInGroup

Package it.tdlight.jni

# Class TdApi.InternalLinkTypeBotStartInGroup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypeBotStartInGroup

Enclosing class:
  TdApi

    public static class TdApi.InternalLinkTypeBotStartInGroup
    extends TdApi.InternalLinkType

The link is a link to a Telegram bot, which is supposed to be added to a group chat. Call searchPublicChat with the given bot username, check that the user is a bot and can be added to groups, ask the current user to select a group to add the bot to, and then call sendBotStartMessage with the given start parameter and the chosen group chat. Bots can be added to a public group only by administrators of the group.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`String` | `botUsername` | Username of the bot.
`static int` | `CONSTRUCTOR` |
`String` | `startParameter` | The parameter to be passed to sendBotStartMessage.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InternalLinkTypeBotStartInGroup()` | The link is a link to a Telegram bot, which is supposed to be added to a group chat.
`InternalLinkTypeBotStartInGroup​(DataInput input)` |
`InternalLinkTypeBotStartInGroup​(String botUsername, String startParameter)` | The link is a link to a Telegram bot, which is supposed to be added to a group chat.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUsername

public String botUsername
Username of the bot.

### startParameter

public String startParameter
The parameter to be passed to sendBotStartMessage.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InternalLinkTypeBotStartInGroup

public InternalLinkTypeBotStartInGroup()
The link is a link to a Telegram bot, which is supposed to be added to a group chat. Call searchPublicChat with the given bot username, check that the user is a bot and can be added to groups, ask the current user to select a group to add the bot to, and then call sendBotStartMessage with the given start parameter and the chosen group chat. Bots can be added to a public group only by administrators of the group.

### InternalLinkTypeBotStartInGroup

public InternalLinkTypeBotStartInGroup​(String botUsername, String startParameter)
The link is a link to a Telegram bot, which is supposed to be added to a group chat. Call searchPublicChat with the given bot username, check that the user is a bot and can be added to groups, ask the current user to select a group to add the bot to, and then call sendBotStartMessage with the given start parameter and the chosen group chat. Bots can be added to a public group only by administrators of the group.

Parameters:
  `botUsername` - String Username of the bot.
  `startParameter` - String The parameter to be passed to sendBotStartMessage.

### InternalLinkTypeBotStartInGroup

public InternalLinkTypeBotStartInGroup​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`